# Type alias ApplicationAfterFunction<Ref>

ApplicationAfterFunction<Ref>: ((app, config, logger) => any | Promise<any>)

#### Type Parameters

- Ref extends RefWithInjector

#### Type declaration

- - (app, config, logger): any | Promise<any>

  - #### Parameters

    - app: Ref
    - config: ConfigService
    - logger: NGXLogger

    #### Returns any | Promise<any>

- Defined in lib/application.ts:27